Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 44 reacties

Google heeft een plugin beschikbaar gesteld die het mogelijk maakt de Google Earth-dienst in browsers te draaien. Het bedrijf heeft eveneens de api van de applicatie vrijgegeven zodat de plattegronden in websites te integreren zijn.

De browser-plugin ondersteunt Internet Explorer 6 en 7, Firefox 2, Netscape 7.1, Mozilla 1.4 en Flock 1.0. Daarmee wordt een groter aantal browsers ondersteund dan Microsofts Virtual Earth-plugin, die alleen werkt met IE 6 en 7 en Firefox. Microsofts plattegronddienst kan overigens al sinds eind 2006 in de browser draaien.

Google is er vooral op uit om ervoor te zorgen dat zijn Earth-applicatie veelvuldig ingenesteld gaat worden op websites, net als Google Maps. "Er was nog geen manier om 3d-webapplicaties te bouwen met Google Earth, zoals met Google Maps, dat stukje van de puzzel ontbrak nog", zo laat Paul Rademacher van het ontwikkelteam van Googles plugin weten.

Met de javascript-api kunnen websitebouwers niet alleen mashups maken van content en satellietbeelden van de aarde, maar ook van planeten,sterren en sterrenstelsels door over te schakelen op Google Sky. Volgens Rademacher zijn er 150.000 sites die gebruikmaken van de api van Google Maps en kunnen de beheerders van deze sites door het toevoegen van een regel javascript overschakelen op de 3d-weergave van Google Earth.

Google Earth plugin
Moderatie-faq Wijzig weergave

Reacties (44)

Microsofts plattegronddienst kan overigens al sinds eind 2006 in de browser draaien.
Ja, maar google maps is ook al behoorlijk lang online toch?
Google Maps is 2D. Het gaat om de 3D-functionaliteit.
De browser-plugin ondersteunt Internet Explorer 6 en 7, Firefox 2, Netscape 7.1, Mozilla 1.4 en Flock 1.0
Sorry hoor, maar dat zijn gewoon maar 2 browsers. De ActiveX-enabled browsers en de Gecko-based browsers. Virtual Earth werkt dus op evenveel browsers.

Ik mis bij beide support voor Opera en Safari.

[Reactie gewijzigd door _Thanatos_ op 29 mei 2008 23:52]

Sorry hoor, maar dat zijn gewoon maar 2 browsers. De ActiveX-enabled browsers en de Gecko-based browsers. Virtual Earth werkt dus op evenveel browsers.
Dat is dus fout, het zijn wel degelijk 6 verschillende browsers. Internet Explorer 6 gaat heel anders om met de ActiveX elementen dan Internet Explorer 7, beide browsers stellen een andere API beschikbaar voor de controls. (Hoewel veel functies over een komen, is deze niet gelijk!)

Jij scheert de Gecko-browsers over een kam (Firefox 2, Mozilla 1.4 en Flock) maar ook hier zit duidelijk verschil tussen, alleen deze melding zegt al genoeg:
Flock allows third parties to create extensions or add-ons that extend the capabilities of the browser. Many Firefox extensions work with Flock, but some do not (trial and error is the best way to find out). Please note: Extensions can and will slow down Flock (and Firefox), and should be used wisely. Flock's quality performance is not guaranteed if you have extensions installed.
Om een heel lang verhaal kort(er) te maken, in basis heb je gelijk, zijn het twee catagoriėn browsers, maar in praktijk is dit helemaal niet waar. Veel functies worden 'deprecated' (niet langer aangeraden), die juist in oudere versies van applicaties wel nodig zijn (of zelfs verplicht zijn). Hierdoor zal je voor iedere browser een apparte plugin of in ieder geval aparte support moeten bouwen. (Al is het maar via if/else statements...)
Ik mis bij beide support voor Opera en Safari.
Ook deze opmerking is niet waar, want Virtual Earth heeft wel degelijk ondersteuning voor Safari.

Van de website http://www.microsoft.com/virtualearth/product/features.aspx:
Cross-Browser Support.
Enjoy support for Apple Safari 2 and 3.
Het is dus de formele support die uitegebreider is. Maar ik vind Virtual Earth dus meer ondersteuning hebben: IE, Gecko en Safari tegenover IE en Gecko voor Google Earth. Je kunt zeggen wat je wilt over cross-browser plugins, maar het komt op hetzelfde neer als met websites: Als een website bedoeld is voor Firefox, zal ie in 99,9% van de gevallen ook in Flock en Netscape werken, maar het moet getest zijn om het formeel te garanderen en ondersteunen.

Wel jammer dat er bij beide niet (makkelijk) uit te vinden is op welke OSsen die browsers ondersteund worden. Gecko's bestaat tenslotte op Windows, Mac en Linux, en Safari ook al een tijdje op Windows en Mac. En welke windowsen dan, en welke OSX'en dan, etc.
Volgens hun site overigens ook nog alleen op Windows. Dus zooo uitgebreid is de ondersteuning nog niet. Wel kreeg ik de melding (Mac,safari) dat het "not yet supported" is, dus is men er blijkbaar mee bezig. Wel handig dit, aangezien je Earth nu nog meer als referentie-tool kan gebruiken, op het werk mag je vaak (ik wel gelukkig) geen software installeren.
Google maps is mijn web-based Earth. Groot voordeel t.o.v. de stand-alone app, de wereld staat nooit scheef of op de kop. Bij Earth look ik continue noord te corrigeren.
Nou, ik krijg onder firefox op linux gewoon een .exe aangeboden anders... niks nette melding dat het nog niet supported is. Beetje jammer van google, aangezien ze wel een linux versie van de losse app hebben.
Die "linux versie" draait eigenlijk onder wine en is gewoon de windows versie.
Uhm, als ik mij niet vergis is het Picasa dat onder Linux met Wine werkt, maar is van Google Earth gewoon een echte native Linux-versie beschikbaar, gebaseerd op de Qt toolkit.

Update: Ik begon zelf te twijfelen, maar hier is een bron: http://arstechnica.com/news.ars/post/20060613-7041.html

[Reactie gewijzigd door arendjr op 29 mei 2008 17:05]

Ik heb ooit Google Earth eens onder Linux geinstalleerd, en voor zo ver ik me herinner maakte het gebruik van Wine. De performance was trouwens ook om te huilen met mijn ATI kaartje :)
Tuurlijk is men bezig met een OS X versie. Google en Apple zijn steeds close geweest. Ze hebben bvb leden die in beide raden van bestuur zitten.
Gewoon via Parallels mee spelen dan maar totdat onze Macs supported zijn ;)

Ik zat er al op te wachten dat Google deze stap zou gaan maken.
Volgens hun site overigens ook nog alleen op Windows. Dus zooo uitgebreid is de ondersteuning nog niet.
Je hebt gelijk als je zegt dat een aantal OSen niet ondersteund worden.

Linux
Mac OSX
OS/2
VMS
CP/M
Dos 3.3
.....

Maar als je naar het totaal aantal ondersteunde computers kijkt vind ik het nogal meevallen. Zo'n 90% is ondersteund
Ik mis BeOS ;)
Whaha mijn FreeBSD wel, sinds oktober heb ik hem al draaien. Wel maf dat het about-venster zegt dat het een linux 0.0.0.0 versie is.
Of het wine gebruikt weet ik niet, ik zie in ieder geval geen afzonderlijk wine proces dus dan moet het helemaal erin verwerkt zijn
Waarschijnlijk is dit gedaan met het oog op het kosten/batenaspect.

Maar toch heeft er op het internet een interessante evolutie plaatsgevonden. Een paar jaar geleden was het nog steeds Internet Explorer die de standaard bepaalde. Het maakte 'niet uit' of een site Netscape Navigator proof was. Niemand gebruikte dat ook.

Gelukkig heeft Firefox een serieuze plaats verworven op het toneel. Als je ziet dat grote organisaties (en dan niet alleen Google voor wie deze stap eigenlijk logisch is) hun applicaties zowel beschikbaar maken voor zowel IE als FF.

Ik denk dat een logisch vervolg over een aantal jaar een brede ondersteuning ook voor andere platformen (Apple, Linux) c.q. browsers (Safari, Opera) is.

Groot voordeel van een grotere verdeling is natuurlijk dat standaarden steeds belangrijker worden, wat de ontwikkeling weer vereenvoudigd.
Het werkt niet met firefox 3.0? (hier dan vista 64, bij iemand anders wel?)
Snap wel dat het niet in de supported lijst staat maar firefox meld mooi dat de plugin geinstalleerd is (weigert niet zoals bij veel plugins die nog niet ff3 compatible zijn) maar daarna informeert google mij: There was some problem with the Google Earth Plugin. Try reloading the page.

Wel raar firefox 3 moet al bijna uitkomen en google lijkt er echt niet klaar voor te zijn?
- Browser sync werkt niet (nee ook niet na het omzeilen van de beveiliging met nightly tester tools)
- google maps werkt niet helemaal (het grootste deel wel)
- en nu dit ook al niet?
Hij werkt inderdaad (nog) niet met Mozilla Firefox 3.
Er zijn nog wel een paar dingen die bij Google niet werken in Firefox 3, zoals Google Gears http://gears.google.com/ en Google Pack http://pack.google.com/
Hmmm hij werkt bij mij wel....
Je moet dus wel Google Earth op je computer geļnstalleerd hebben om dit te kunnen gebruiken?
Als dat zo in maakt dat het al minder aantrekkelijk, als je het toch al geļnstalleerd heb waarom zou je het dan in je browser openen en niet het programma zelf?

Of snap ik hier de logica nu niet van? 8)7
Je hoeft Google Earth niet geinstalleerd te hebben op je pc.
Ik heb het net hier geprobeerd, en het werkt perfect, zonder het programma.
Ja ik heb het ook even getest, je hoeft alleen de plugin te installeren.
Dan even browser opnieuw opstarten, active x activeren en dan werkt het prima.

Ook nog best snel ook, werkt heel fijn.
Ik heb het ook geprobeerd, maar het bracht me niet echt veel nieuws. Natuurlijk moeten de applicaties op de websites nog verschijnen, dus dat is eigenlijk wel logisch.
Wat ik minder logisch vind is, dat de plug in, ook wanneer hij staat uitgeschakeld in de browser, dagelijks naar huis belt voor updates. Op de gekste tijden springt er een ZonAlarm popup in beeld...
Toen ik de plug in ging verwijderen, bleek die 27 MB groot te zijn. IMHO een tikkeltje zwaar, voor iets wat als "plug in" gepresenteerd wordt.
Opgeruimd staat netjes.
Plug-in impliceert toch ook al dat je iets extra's moet installeren... zo raar vind ik het niet.. nu kan je direct in je webapp een googleearth iframe iod laten zien zonder dat de applicatie wordt opgestart - embedded dus. Zelfde idee: word, excel, acrobat plugin. Je moet hiervoor ook eerst office en adobe reader installeren...
Volgens Rademacher zijn er 150.000 sites die gebruikmaken van de api van Google Maps en kunnen de beheerders van deze sites door het toevoegen van een regel javascript overschakelen op de 3d-weergave van Google Earth.
Jammer dat ik deze code nog niet heb kunnen vinden.
Ik gok op:
google.load("earth", "1");
en/of
function init() {
geocoder = new GClientGeocoder();
google.earth.createInstance("map3d", initCB, failureCB);
}
Dat staat te lezen op:
http://code.google.com/apis/earth/documentation/index.html
nog wat voorbeelden:
http://code.google.com/ap...cumentation/examples.html

[Reactie gewijzigd door kluyze op 29 mei 2008 15:53]

Bij je standaard map code:

// The following line makes the map Earth-enabled by adding the
// "Earth" button to the map type control. Note that you still
// need to add a map type control (GMapTypeControl,
// GMenuMapTypeControl, or GHierarchicalMapTypeControl) to the
// the map (as is done below) for the "Earth" button and the rest
// of the map type buttons to show up at all.
// Also, be sure you are loading v=2.x of the Maps API and not
// v=2, otherwise the G_SATELLITE_3D_MAP map type will not
// work properly.
map.addMapType(G_SATELLITE_3D_MAP);
Waarom schrijven ze dit soort zaken niet in Java? Ook Java heeft gewoon 3D-support. En is daarmee toch nog 'ietsje' meer cross-platform dan waar ze nu mee pochen.
Misschien omdat dat ontzettend traag is en resources vretend?
Dat zul je niet meer zeggen als je dit hebt gezien. :Y)
Ja dat was in 1995 zo. Tegenwoordig is Java vergelijkbaar met gecompileerde c++. En soms sneller: in een 64-bit OS draaien je Java apps meteen ook in 64-bit mode, terwijl je C++-programmatuur daarvoor opnieuw gecompileerd (en aangepast) moet worden.
Tegenwoordig is Java vergelijkbaar met gecompileerde c++.
Ik ben met je eens dat Java zo traag niet meer is, en dat inderdaad de performance van een draaiend Java-programma (bijna) vergelijkbaar is met dat van een C++-programma. Maar gek genoeg wordt de opstarttijd en het geheugengebruik van de JVM dan altijd buiten beschouwing gelaten, en dat blijft toch voor veel desktopgebruikers geen verwaarloosbare penalty (voor een server die je 1x opstart en toch zat geheugen heeft is 't inderdaad geen probleem, nee).
Klopt, hoewel in mijn ervaring Java daar veel sneller in is dan bijv .NET. En die Google-plugin moet ook geladen worden. Het hangt af hoe ze die gemaakt hebben, maar genoeg bloatware tegenwoordig die nog veel slomer opstart dan een klein Java-appje...

Enfin, over opstarttijd van enkele seconde maak ik me niet druk.
Mooi werk van Google!

Wel erg jammer dat het momenteel enkel Windows only is. Maar we blijven hopen! :-)
wel een ontzettend goed idee! alleen kan ik het thuis niet draaien omdat ik geen windows heb :S wel OSX en linux. het idee hierachter is echt wel zo mooi, dat ik dit zeker in linux en osx zou willen zien, om te kijken hoe dit werkt. ik vind de applicatie zelf al goed, en ik ben blij dat google doorwerkt aan deze applicaties. nu nog een linux en osx variant en ik ben gelukkig :)
Jammer, geen Opera versie :'(

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True